Bug 134400 - gtk2 needs an enema
gtk2 needs an enema
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 20:05 EDT by taj
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 12:50:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -Uvh gtk2-2.4.10-5.i386.rpm --force (15.67 KB, text/plain)
2004-10-02 00:57 EDT, taj
no flags Details

  None (edit)
Description taj 2004-10-01 20:05:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)
Gecko/20040928

Description of problem:

automated yum updates have resulted in the following mess:

 rpm -qa gtk2 --qf '%{name}-%{version}-%{release}(%{arch})\n'
gtk2-2.4.9-5(i386)
gtk2-2.4.10-5(x86_64)
gtk2-2.4.4-1(i386)
gtk2-2.4.7-1(i386)
gtk2-2.4.1-2(i386)
gtk2-2.4.4-4(i386)
gtk2-2.4.10-1(i386)
gtk2-2.4.10-4(i386)
gtk2-2.4.10-5(i386)
gtk2-2.4.7-2.3(i386)
gtk2-2.4.1-3(i386)
gtk2-2.4.6-2(i386)
gtk2-2.4.9-4(i386)

It looks like gtk2 i386 is not cleaning up on x86_64

Version-Release number of selected component (if applicable):
gtk2-2.4.1-2 through gtk2-2.4.10-5

How reproducible:
Didn't try

Steps to Reproduce:  problem shown.

Actual Results:  shown.

Expected Results:  just one i386 gtk2

Additional info:


I think this one is obvious.  Looking through the rest of the rpm db,
this appears to be the only package with a problem.
Comment 1 Bill Nottingham 2004-10-02 00:42:01 EDT
What error messages do you get, if any, from a manual upgrade?
Comment 2 taj 2004-10-02 00:57:39 EDT
Created attachment 104663 [details]
rpm -Uvh gtk2-2.4.10-5.i386.rpm --force


typescript of gtk2 i386 upgrade with previously missed errors.
Comment 3 taj 2004-10-02 01:05:52 EDT
 ls -l /usr/lib/gtk-2.0/2.4.0/loaders/
total 332
-rwxr-xr-x  1 root root  8472 Sep  1 04:02 io-wmf.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-ani.la
-rwxr-xr-x  1 root root 15368 Sep 28 21:46 libpixbufloader-ani.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-bmp.la
-rwxr-xr-x  1 root root 12160 Sep 28 21:46 libpixbufloader-bmp.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-gif.la
-rwxr-xr-x  1 root root 23912 Sep 28 21:46 libpixbufloader-gif.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-ico.la
-rwxr-xr-x  1 root root 15112 Sep 28 21:46 libpixbufloader-ico.so
-rwxr-xr-x  1 root root   964 Sep 20 09:31 libpixbufloader-jpeg.la
-rwxr-xr-x  1 root root 17136 Sep 28 21:46 libpixbufloader-jpeg.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-pcx.la
-rwxr-xr-x  1 root root 11520 Sep 28 21:46 libpixbufloader-pcx.so
-rwxr-xr-x  1 root root   946 Sep 20 09:31 libpixbufloader-png.la
-rwxr-xr-x  1 root root 17856 Sep 28 21:46 libpixbufloader-png.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-pnm.la
-rwxr-xr-x  1 root root 13976 Sep 28 21:46 libpixbufloader-pnm.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-ras.la
-rwxr-xr-x  1 root root  8432 Sep 28 21:46 libpixbufloader-ras.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-tga.la
-rwxr-xr-x  1 root root 13352 Sep 28 21:46 libpixbufloader-tga.so
-rwxr-xr-x  1 root root   951 Sep 20 09:31 libpixbufloader-tiff.la
-rwxr-xr-x  1 root root 13360 Sep 28 21:46 libpixbufloader-tiff.so
-rwxr-xr-x  1 root root   944 Sep 20 09:31 libpixbufloader-wbmp.la
-rwxr-xr-x  1 root root  7840 Sep 28 21:46 libpixbufloader-wbmp.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-xbm.la
-rwxr-xr-x  1 root root 11024 Sep 28 21:46 libpixbufloader-xbm.so
-rwxr-xr-x  1 root root   938 Sep 20 09:31 libpixbufloader-xpm.la
-rwxr-xr-x  1 root root 51808 Sep 28 21:46 libpixbufloader-xpm.so
-rwxr-xr-x  1 root root  7896 Sep 23 06:19 svg_loader.so
Comment 4 taj 2004-10-02 01:24:30 EDT
Maybe this is the problem The libraries should not be 64-bit in
/usr/lib I'd assume.  diff says they are the same as whats in the
lib64 tree (at least libpixbufloader-ani.so).

[root@www RPMS-old]# file
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so: ELF 64-bit LSB
shared object, AMD x86-64, version 1 (SYSV), stripped
[root@www RPMS-old]# file
/usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so
/usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so: ELF 64-bit
LSB shared object, AMD x86-64, version 1 (SYSV), stripped
[root@www RPMS-old]# rpm -qf
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so
gtk2-2.4.1-2
gtk2-2.4.1-3
gtk2-2.4.4-1
gtk2-2.4.4-4
gtk2-2.4.6-2
gtk2-2.4.7-1
gtk2-2.4.7-2.3
gtk2-2.4.9-4
gtk2-2.4.9-5
gtk2-2.4.10-1
gtk2-2.4.10-4
gtk2-2.4.10-5
gtk2-2.4.10-5
[root@www RPMS-old]# rpm -qf
/usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so
gtk2-2.4.1-2
gtk2-2.4.1-3
gtk2-2.4.4-1
gtk2-2.4.4-4
gtk2-2.4.6-2
gtk2-2.4.7-1
gtk2-2.4.7-2.3
gtk2-2.4.9-4
gtk2-2.4.9-5
gtk2-2.4.10-1
gtk2-2.4.10-4
gtk2-2.4.10-5
gtk2-2.4.10-5
Comment 5 taj 2004-10-06 04:43:28 EDT
I've removed all of the gtk2 packages and reinstalled the latest. 
That   resolved the issue here.


Comment 6 Matthias Clasen 2004-10-12 10:17:35 EDT
So, you have 
/usr/lib/gtk-2.0/2.4.0/loaders/
/usr/lib64/gtk-2.0/2.4.0/loaders/
in parallel now, and they contain the right .so files ?
Comment 7 taj 2004-10-12 10:47:40 EDT
Yep.

# file /usr/lib*/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so
/usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so: ELF 64-bit
LSB shared object, AMD x86-64, version 1 (SYSV), stripped
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so:   ELF 32-bit
LSB shared object, Intel 80386, version 1 (SYSV), stripped

for i in /usr/lib*/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so;do
echo -n $i\ ;rpm -qf $i --qf
'%{name}-%{version}-%{release}(%{arch})\n';done
/usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so
gtk2-2.4.10-7(x86_64)
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-ani.so gtk2-2.4.10-7(i386)
Comment 8 Matthias Clasen 2004-10-12 12:50:44 EDT
Ok, I think this is resolved then

Note You need to log in before you can comment on or make changes to this bug.